// Copyright (c) 2019-2023 Duke Leto and The Hush developers
// Copyright (c) 2019-2020 The Zcash developers
// Distributed under the GPLv3 software license
package cmd

import (
	"fmt"

	"github.com/spf13/cobra"
	"git.hush.is/hush/lightwalletd/common"
)

// versionCmd represents the version command
var versionCmd = &cobra.Command{
	Use:   "version",
	Short: "Display lightwalletd version",
	Long:  `Display lightwalletd version.`,
	Run: func(cmd *cobra.Command, args []string) {
		fmt.Println("lightwalletd version: ", common.Version)
		fmt.Println("from commit: ", common.GitCommit)
		fmt.Println("on: ", common.BuildDate)
		fmt.Println("by: ", common.BuildUser)

	},
}
